PATCH Api/InspectionSvlTwoDataRecord/{id}
URI Example
PATCH Api/InspectionSvlTwoDataRecord/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionSvlTwoDataRecordBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| InspectionSvlTwoId | integer |
Required |
|
| InspectionBuildingElementId | integer |
Required |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| Type | DataRecordType |
Required |
|
| DateOfCollection | date |
Required |
|
| Panorama | integer |
Required |
|
| Tilt | integer |
Required |
|
| Pan | integer |
Required |
|
| PositionX | decimal number |
None. |
|
| PositionY | decimal number |
None. |
|
| PositionZ | decimal number |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "inspectionSvlTwoId": 1, "inspectionBuildingElementId": 2, "name": "sample string 3", "description": "sample string 4", "type": 1, "dateOfCollection": "2026-10-29T13:04:07.1614405+01:00", "panorama": 6, "tilt": 7, "pan": 8, "positionX": 1.1, "positionY": 1.1, "positionZ": 1.1 }
Resource Description
InspectionSvlTwoDataRecordResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionSvlTwoId | integer |
None. |
|
| InspectionBuildingElementId | integer |
None. |
|
| FileName | string |
None. |
|
| Size | integer |
None. |
|
| Url | string |
None. |
|
| Name | string |
None. |
|
| Type | DataRecordType |
None. |
|
| DateOfCollection | date |
None. |
|
| Description | string |
None. |
|
| Panorama | integer |
None. |
|
| Tilt | integer |
None. |
|
| Pan | integer |
None. |
|
| PositionX | decimal number |
None. |
|
| PositionY | decimal number |
None. |
|
| PositionZ | decimal number |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionSvlTwoId": 2, "inspectionBuildingElementId": 3, "fileName": "sample string 4", "size": 5, "url": "sample string 6", "name": "sample string 7", "type": 1, "dateOfCollection": "2026-10-29T13:04:07.1614405+01:00", "description": "sample string 9", "panorama": 1, "tilt": 1, "pan": 1, "positionX": 1.1, "positionY": 1.1, "positionZ": 1.1, "isBlocked": true, "updateDate": "2026-10-29T13:04:07.1614405+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }